Выполнение произвольных команд в Moodle

Дата публикации:
29.12.2008
Дата изменения:
29.03.2009
Всего просмотров:
2400
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Moodle 1.9.x
Уязвимые версии: Moodle 1.9.3, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за недостаточной проверки входных данных в параметре "pathname" в сценарии filter/text/texed.php. Удаленный пользователь может с помощью специально сформированного запроса внедрить и выполнить произвольные команды на системе. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

URL производителя: moodle.org

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
29.03.2009
Изменена секция "Решение"

Ссылки: Fedora 9 Update: moodle-1.9.3-4.fc9
Fedora 10 Update: moodle-1.9.3-4.fc10
http://www.ush.it/team/ush/hack-moodle193/moodle193.txt

или введите имя

CAPTCHA